{modulesPath, ...}: {
  imports = [
    (modulesPath + "/profiles/qemu-guest.nix")
  ];
  # Don't change!
  system.stateVersion = "23.11";

  time.timeZone = "UTC";
  i18n.defaultLocale = "en_US.UTF-8";

  boot.loader.grub = {
    efiSupport = true;
    efiInstallAsRemovable = true;
  };

  security.sudo.wheelNeedsPassword = false;
  services.openssh.enable = true;

  networking = {
    hostName = "ami";
    firewall.allowPing = true;
  };

  nix = {
    settings = {
      auto-optimise-store = true;
      trusted-users = ["root"];
    };

    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 14d";
    };

    extraOptions = ''
      experimental-features = nix-command flakes
    '';
  };
}
