{pkgs, ...}: let
  port = 6969;
in {
  services = {
    weechat = {
      enable = true;
      binary = let
        weechat = pkgs.weechat.override {
          configure = _: {
            scripts = with pkgs.weechatScripts; [
              autosort
              highmon
            ];
          };
        };
      in "${weechat}/bin/weechat";
    };

    nginx = {
      virtualHosts."irc.buffet.sh" = {
        useACMEHost = "buffet.sh";
        forceSSL = true;

        locations = {
          "^~ /weechat" = {
            proxyPass = "http://localhost:${toString port}";
            proxyWebsockets = true;
          };

          "/" = {
            root = pkgs.glowing-bear;
          };
        };
      };
    };
  };
}
