{
  config,
  lib,
  pkgs,
  ...
}: {
  # sins
  nixpkgs.config.allowUnfreePredicate = pkg:
    builtins.elem (lib.getName pkg) [
      "tampermonkey"
    ];

  home-manager.users.buffet = {
    programs.firefox = {
      enable = true;
      package = pkgs.firefox-wayland;

      profiles."buffet" = {
        extensions = with config.nur.repos.rycee.firefox-addons; [
          bitwarden
          clearurls
          config.nur.repos.rycee.firefox-addons."10ten-ja-reader"
          ipvfoo
          istilldontcareaboutcookies
          localcdn
          privacy-badger
          protoots
          shinigami-eyes
          sidebery
          startpage-private-search
          stylus
          substitoot
          tampermonkey
          ublock-origin
        ];

        settings = {
          "dom.private-attribution.submission.enable" = false;
          "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
        };

        userChrome = ''
          #TabsToolbar {
              display: none;
          }

          #nav-bar {
              background: #ffffff !important;
          }

          #sidebar-splitter {
              background: #ffffff !important;
              width: 0 !important;
          }

          ##sidebar-header {
              display: none;
          }
        '';
      };
    };
  };
}
