{pkgs, ...}: {
  home-manager.users.buffet = {
    home.packages = [
      (pkgs.writeScriptBin "nrb" ''
        #!/usr/bin/env bash

        [[ $UID == 0 ]] || {
            echo need to run as root
            exit 1
        }

        flake="''${1:-https://buffets.kitchen/kitchen/rice/archive/main.tar.gz}"

        nixos-rebuild build --flake "$flake" --option tarball-ttl 0|| exit 1
        diff="$(${pkgs.nvd}/bin/nvd diff /run/current-system result)"
        rm result
        nixos-rebuild switch --flake "$flake" --option tarball-ttl 0
        echo '***'
        printf '%s\n' "$diff"
      '')
    ];
  };
}
